Name:          blosc
Version:       1.21.5
Release:       1mamba
Summary:       A blocking, shuffling and loss-less compression library that can be faster than memcpy()
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.blosc.org/
Source:        https://github.com/Blosc/c-blosc.git/v%{version}/c-blosc-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblz4-devel
BuildRequires: libsnappy-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A blocking, shuffling and loss-less compression library that can be faster than memcpy().

%package -n lib%{name}
Group:         System/Libraries
Summary:       A blocking, shuffling and loss-less compression library that can be faster than memcpy()

%description -n lib%{name}
A blocking, shuffling and loss-less compression library that can be faster than memcpy().
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n c-%{name}-%{version}

%build
%cmake \
    -DBUILD_STATIC="OFF" \
    -DDEACTIVATE_SNAPPY="OFF" \
    -DPREFER_EXTERNAL_LZ4="ON" \
    -DPREFER_EXTERNAL_ZLIB="ON" \
    -DPREFER_EXTERNAL_ZSTD="ON"

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libblosc.so.*
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/blosc-export.h
%{_includedir}/blosc.h
%{_libdir}/libblosc.so
%{_libdir}/pkgconfig/blosc.pc
%doc README.md README_CHUNK_FORMAT.rst README_THREADED.rst

%changelog
* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21.5-1mamba
- package created using the webbuild interface
